Page MenuHomePhabricator

[Hacking idea] Edit a section at highlighted position.
Closed, ResolvedPublic2 Story Points

Description

When the user highlights a word in the article, it would be great to have an option that says, "Edit here", which takes the user to the editing workflow and *automatically* jumps to the location that the user had highlighted.

Expected behavior

  • Go to the "Barack Obama" article
  • In the first sentence of text, press-and-hold the word "office" to highlight it.
  • One of the context menu buttons should be "Edit here" (it may be hidden under a three-dot overflow menu).
  • After tapping "Edit here", the app should launch the Editing activity, and automatically scroll to the word "office" and highlight it.

Details

Related Gerrit Patches:
apps/android/wikipedia : master[Hackathon] "Edit here" context button.

Event Timeline

Dbrant created this task.Nov 30 2015, 5:32 PM
Dbrant raised the priority of this task from to Low.
Dbrant updated the task description. (Show Details)
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2015, 5:32 PM

Change 281304 had a related patch set uploaded (by Dbrant):
[Hackathon] "Edit here" context button.

https://gerrit.wikimedia.org/r/281304

Change 281304 merged by jenkins-bot:
[Hackathon] "Edit here" context button.

https://gerrit.wikimedia.org/r/281304

Dbrant claimed this task.Apr 14 2016, 11:04 PM
Dbrant updated the task description. (Show Details)
Dbrant set the point value for this task to 2.
Dbrant moved this task from To Do to QA Signoff on the Mobile-App-Android-Sprint-80-Mercury board.
Dbrant updated the task description. (Show Details)Apr 14 2016, 11:09 PM

Tested on Wikipedia app 2.1.143-alpha-2016-04-14 using ZTE phone with Android 5.1. The expected behavior described above (Edit here/Editing activity/scrolling to the word "office") is working as expected so this is fixed.

Dbrant closed this task as Resolved.Apr 18 2016, 2:27 PM
Qgil added a subscriber: Qgil.Apr 18 2016, 7:49 PM

And deployed! Great work, thank you. Could you upload to Commons a screenshot for https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/WIP_Wikimedia_Hackathon_2016_post, please?